/*****************************************************************************\
 
   Name . . . . . : DTSPLITM.H
   
   Author . . . . : Paul Markham (3:711/934.1@fidonet)
   
   Date written . : April 1994
   
 ------------------------------------------------------------------------------
   This code is released to the public domain. You may use and/or modified it
   in any way you choose.
  
   There is no warranty of any kind associated with this code. If you use it,
   you accept all responsibility for any loss or damages that may occur.
 ------------------------------------------------------------------------------
 
  Split a fidonet or seadog date into its component parts. Due to the fact 
  that a lot of people can't seem to follow the FTS documentation on what
  a date should look like, this routine has been made pretty forgiving of 
  the most common errors.
 
  Parameters:
  ----------
  
    1. pointer to string containing the date in fido or sea format.
    2. pointer to integer for returned year
    3. pointer to integer for returned month
    4. pointer to integer for returned day
    5. pointer to integer for returned hour
    6. pointer to integer for returned minute
    7. pointer to integer for returned second
    
  A value of 0 is returned if the input date is valid. A non-zero value is
  returned otherwise.
      
\*****************************************************************************/

#if !defined(__DTSPLITM_H)
#define __DTSPLITM_H

#define DATE_OK     0
#define DATE_ERROR  1

int  dtsplitm(const char *date, int *year, int *month, int *day, 
             int *hour, int *min, int *sec) ;

#endif
