/* faddr - fidonet address handling */
/* Written by Paul Edwards, 1993-12-11 */
/* Released to the Public Domain */

#ifndef FADDR_INCLUDED
#define FADDR_INCLUDED

#include <string.h>

typedef struct {
    char domain[16];
    int zone;
    int net;
    int node;
    int point;
  } fidoAddress;

typedef struct 
{
  fidoAddress orig;
  fidoAddress curr;
} FADDR;

int faddrDefaults(FADDR *faddr);
int faddrInit(FADDR *faddr);
int faddrTerm(FADDR *faddr);
int faddrReset(FADDR *faddr);
int faddrGetaddr(FADDR *faddr, fidoAddress *fa);
void faddrCreate(FADDR *faddr, char *buf);
void faddrPrint(FADDR *faddr);
#define faddrSetdomain(faddr, x) \
    strcpy((faddr)->curr.domain, x)
#define faddrSetzone(faddr, x) \
    (faddr)->curr.zone = x
#define faddrSetnet(faddr, x) \
    (faddr)->curr.net = x
#define faddrSetnode(faddr, x) \
    ((faddr)->curr.node = x, (faddr)->curr.point = 0)
#define faddrSetpoint(faddr, x) \
    (faddr)->curr.point = x          
#define faddrOnePassCreate(faddr, buf, fa) \
    (faddrDefaults(faddr), faddrInit(faddr), faddrCreate((faddr), (buf)), \
     faddrGetaddr((faddr), (fa)), faddrTerm(faddr))

#endif

