/* seen-by processing */
/* Written by Paul Edwards, 1993-07-03 */
/* Released to the Public Domain */

#ifndef SEENBY_INCLUDED
#define SEENBY_INCLUDED

#include <stddef.h>

#include "faddr.h"

typedef struct {
    int net;
    int node;
  } seenby_entry;

typedef struct 
{
  seenby_entry *entry;
  size_t numelem;
  size_t maxelem;
  size_t curelem;
  int lastnet;
} SEENBY;

int seenbyInit(SEENBY *snby, size_t maxelem);
int seenbyTerm(SEENBY *snby);
int seenbyReset(SEENBY *snby);
int seenbyAddline(SEENBY *snby, const unsigned char *snbyline);
int seenbyAddNode(SEENBY *snby, fidoAddress *fa);
int seenbySort(SEENBY *snby);
int seenbyExtract(SEENBY *snby, unsigned char *extract, size_t max);

#endif

